# saswcfg.awk -- Set system-specific information for SASweave
#
# --- Edit this file appropriately for your system ---
#
# NOTE: For Windows setups ... 
#   * use forward slashes / instead of backslashes \
#   * if there is a space in a path, enclose it in single quotes 



BEGIN {

### windows -- 1 for windows, 0 for unix
  windows = 0

### swpath -- directory where SASweave scripts are saved (include closing slash)
  swpath = "$HOME/progs/SASweave/SASweave/common/"
  
### awk -- where to find awk
  awk = "gawk"
  
### sas -- where to find SAS
  sas = "sas"
  
### pdflatex -- where to find pdflatex
  pdflatex = "pdflatex"

### sweave -- system command to run Sweave.  Put \"#1\" where filename belongs
### (If you will never run Sweave, you can just ignore this)
  sweave = "echo 'Sweave(\"#1\", style=F, eps=F)' | R --no-save --no-restore"
  
### stangle -- system command to run Stangle.  Put \"#1\" where filename belongs
### (If you will never run Sweave, you can just ignore this)
  stangle = "echo 'Stangle(\"#1\")' | R --no-save --no-restore"

}
